commit:     82bd7e0fc6d94f8fe78497c0efcc4bbf6103ae37
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 10 19:39:28 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Jun 10 19:39:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82bd7e0f

net-analyzer/tcpflow: Version 1.5.2

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Fixes: https://bugs.gentoo.org/show_bug.cgi?id=687806
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/tcpflow/Manifest                      |  1 +
 .../tcpflow/files/tcpflow-1.5.2-gentoo.patch       | 61 ++++++++++++++++++++++
 net-analyzer/tcpflow/tcpflow-1.5.2.ebuild          | 57 ++++++++++++++++++++
 3 files changed, 119 insertions(+)

diff --git a/net-analyzer/tcpflow/Manifest b/net-analyzer/tcpflow/Manifest
index 142b9a25c85..941f219cef1 100644
--- a/net-analyzer/tcpflow/Manifest
+++ b/net-analyzer/tcpflow/Manifest
@@ -1,6 +1,7 @@
 DIST be13_api-20170924.tar.gz 75724 BLAKE2B 
a5257346b9c0740d9758543fe7772c960e1941735abefe4d24d347631b35d1511fde8eb5a58dbb2824c54e78ee0d686a2549ceea2c1dc91e05ef92899c8b3c2d
 SHA512 
5bf0d28f23df9436304245ccbdbf4af5b0f65e62b92e3039cfb9a70fe2056aa90dcce906db02f3df83fcf2a415c8a46f0f75468d48e13b15673d11c447a4c9c4
 DIST dfxml-20170921.tar.gz 163616 BLAKE2B 
17214d15596a136efb2afc7246ee0f5696620b5aac7c2d78e37764f51487ff816de5a7c0f59e7484d358a8cd8eab34841716970cd859f0ce868ac29c8532754c
 SHA512 
0885947aaf8efe639c13324413ef0cca49750027b48b434f226fb9fbfba494e84e245da879dc0d77b46bddc27798f7f5df12590fce47b096683034bbc61280e1
 DIST tcpflow-1.5.0alpha.tar.gz 763403 BLAKE2B 
3010ba5dc039ee9ebeedf9fd453e9a36cc9adda26bc40dd93938dd56e7bc070a62de0c0fd61af976a866b2f50b3857606c0c962fd6194112392af18708fbfdcb
 SHA512 
240ea6ccb39d13cc86fdaf8bb8284b796d2ceb070aee2dbb0364a6d9f572863159e79ad40259aa6e85c729e28f35c2f453df261490c09c321276686be4627b96
+DIST tcpflow-1.5.2.tar.gz 788545 BLAKE2B 
b3995cf0f4bedce207dcac19de3d57920231cab75df030da1cf93fb815999de602fd1e3f0955c82effff88f9a3945a891c3b3f0e08449cf366de4bb8269a6452
 SHA512 
e060779c78f79ba6efdf5f9d8ff490823ff06051a7089247b8155c03f487776fa1896e487e8dca1d5842b617fc5d9056e043f01ac3276edeec1d394ed24bc7e9
 DIST tcpflow_1.4.5+repack1-1.debian.tar.xz 11144 BLAKE2B 
1188e259406b5bf4feaa95b6a6805217564f71f377b6ae5baa707453da4f0d9bf15c7fdfe1fea0a9c4586e5c24f9b4cea8fd5226a97d762d9f5969d3381d4bbb
 SHA512 
ed2c491595a3d5382ca79fe945467639af3d99658d002353f90e07aa6b1a955e57ab0fbbc3fadf964e9d6d3dba4fd327a02c1b07d6a239efdf90b365928b2a1e
 DIST tcpflow_1.4.5+repack1-4.debian.tar.xz 12228 BLAKE2B 
a7c1725d2a82a6ef63800c3bf8fe4d99fd81566fe3b1dbd77238337784954e3161fae868b2a915a9fa2ce580a81d726b6359f905953a952e500f811e9e38c4b5
 SHA512 
27d8a7a735b06c35cc2985cb26a129a490fc2236eedeede21977afe4c3096a6fde3ea18de1aaa3a1c6a56bc36d332b1e8bd4c7be933d5b031509a69cae189b18
 DIST tcpflow_1.4.5+repack1.orig.tar.gz 725962 BLAKE2B 
282849bded34acc79ece4b06c72d5ed05ada07bb2e1a5e6e15dd7c6c46f8f1e57b5bfb018b1a23bdd543d0664b3bd5a3f756342fd657930a77c1ab8307358421
 SHA512 
fed8589957e3c790b5b6837b9b578d5dcbde316122ed6b3d4f908d1d73f23c6ed8a11720ee0510e878eaa7a6c559a2f35e7df2c77e3cb1f2810040adf7ac2b85

diff --git a/net-analyzer/tcpflow/files/tcpflow-1.5.2-gentoo.patch 
b/net-analyzer/tcpflow/files/tcpflow-1.5.2-gentoo.patch
new file mode 100644
index 00000000000..de0864004a0
--- /dev/null
+++ b/net-analyzer/tcpflow/files/tcpflow-1.5.2-gentoo.patch
@@ -0,0 +1,61 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -30,7 +30,6 @@
+ AC_PROG_INSTALL
+ 
+ m4_include([m4/slg_searchdirs.m4])
+-m4_include([m4/slg_gcc_all_warnings.m4])
+ 
+ 
+ # use C++11 mode if available; HAVE_CXX11 is defined in config.h if so.  Don't
+@@ -402,7 +402,12 @@
+       AC_CHECK_HEADERS(cap-ng.h)
+ fi
+ 
+-
++################################################################
++# http-parser
++ 
++AC_CHECK_LIB(http_parser,http_parser_init,,
++  AC_MSG_ERROR([http-parser library not installed]))
++AC_CHECK_HEADERS(http_parser.h)
+ 
+ ################################################################
+ # Specify our other headers
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -90,20 +90,12 @@
+       scan_netviz.cpp \
+       pcap_writer.h \
+       iptree.h \
+-      http-parser/http_parser.c \
+-      http-parser/http_parser.h \
+       mime_map.cpp \
+       mime_map.h 
+ 
+ EXTRA_DIST =\
+       inet_ntop.c \
+       inet_ntop.h \
+-      http-parser/AUTHORS \
+-      http-parser/CONTRIBUTIONS \
+-      http-parser/LICENSE-MIT \
+-      http-parser/Makefile \
+-      http-parser/README.md \
+-      http-parser/http_parser.gyp \
+       wifipcap/README.txt \
+       wifipcap/TimeVal.cpp \
+       wifipcap/TimeVal.h \
+--- a/src/scan_http.cpp
++++ b/src/scan_http.cpp
+@@ -11,7 +11,11 @@
+ #include "tcpip.h"
+ #include "tcpdemux.h"
+ 
++#ifdef HAVE_HTTP_PARSER_H
++#include "http_parser.h"
++#else
+ #include "http-parser/http_parser.h"
++#endif
+ 
+ #include "mime_map.h"
+ 

diff --git a/net-analyzer/tcpflow/tcpflow-1.5.2.ebuild 
b/net-analyzer/tcpflow/tcpflow-1.5.2.ebuild
new file mode 100644
index 00000000000..0271f130a3b
--- /dev/null
+++ b/net-analyzer/tcpflow/tcpflow-1.5.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic
+
+DESCRIPTION="A tool for monitoring, capturing and storing TCP connections 
flows"
+HOMEPAGE="https://github.com/simsong/tcpflow";
+SRC_URI="
+       
https://api.github.com/repos/simsong/be13_api/tarball/c81521d768bb78499c069fcd7c47adc8eee0350c
 -> be13_api-20170924.tar.gz
+       
https://api.github.com/repos/simsong/dfxml/tarball/7d11eaa7da8d31f588ce8aecb4b4f5e7e8169ba6
 -> dfxml-20170921.tar.gz
+       https://dev.gentoo.org/~jer/be13_api-20170924.tar.gz
+       https://dev.gentoo.org/~jer/dfxml-20170921.tar.gz
+       https://github.com/simsong/${PN}/archive/${P/_/}.tar.gz
+"
+
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+SLOT="0"
+IUSE="cairo test"
+
+RDEPEND="
+       dev-db/sqlite
+       dev-lang/python:2.7=
+       dev-libs/boost:=
+       dev-libs/openssl:=
+       net-libs/http-parser:=
+       net-libs/libpcap
+       sys-libs/libcap-ng
+       sys-libs/zlib:=
+       cairo? (
+               x11-libs/cairo
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( sys-apps/coreutils )
+"
+S=${WORKDIR}/${PN}-${P/_/}
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.5.0_alpha-libcapng.patch
+       "${FILESDIR}"/${PN}-1.5.2-gentoo.patch
+)
+
+src_prepare() {
+       mv "${WORKDIR}"/simsong-dfxml-7d11eaa/* src/dfxml/ || die
+       mv "${WORKDIR}"/simsong-be13_api-c81521d/* src/be13_api/ || die
+
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       append-cxxflags -fpermissive
+       econf $(usex cairo --enable-cairo=true --enable-cairo=false)
+}

Reply via email to